###############################################################
# $Id: make.t,v 1.5 2009/10/21 23:08:32 vivekp Exp $
###############################################################

FILES_TO_COPY = makefile StdAfx.cpp resource.rc StdAfx.h
!Lnfiles ../${XMM_SANDBOX_DIR1R} ${FILES_TO_COPY}
!Envfile EXPORTDIR = ${LAYER}/${SSNAME}/export/bin/${PLATCOMP}
!Envfile RELBINDIR = /
RELDIR = ${RELBINDIR}bin/${PLATFORM}

LIBNAME_BASE = Inst_7z
!Libname ${LIBNAME_BASE}
!ExportLibrary ${LIBNAME_BASE}

!M EXPORT_SHLIB =  ${SHLIB_EXPORT %=${EXPORTDIR}/%}

MY_XIL_CFLAGS = ${STD_CFLAGS}
MY_XIL_LFLAGS = ${STD_LFLAGS}

# Flag O=. to specify that build in current directory not under O ot IA64
MY_XIL_MISC += O=.

# Required for correct architecture
!O nt64
MY_XIL_MISC += CPU=IA64

_objs :
	${ENVRUN} MAKEFLAGS= nmake /f makefile "MY_XIL_CFLAGS=${MY_XIL_CFLAGS}" ${MY_XIL_MISC} PROG=${SHLIB} objs

objs : ${FILES_TO_COPY} _objs

${SHLIB_EXPORT}:
	${ENVRUN} MAKEFLAGS= nmake /f makefile "MY_XIL_LFLAGS=${MY_XIL_LFLAGS}" ${MY_XIL_MISC} PROG=${SHLIB} 

libs : objs ${EXPORT_SHLIB}

# Copy libraries to export directory
!Cpfiles ${EXPORTDIR} ${SHLIB_EXPORT}

# Release library to cust rtf
!ReleaseFiles rellibs lib ${SHLIB}

# Release library to env and rename also. This is for optimized code
SHLIB_7z = 7z${SHLIB_EXT}
!OC opt
release : ${RELDIR}/${SHLIB_7z}
${RELDIR}/${SHLIB_7z} : ${SHLIB}
	@${ECHO} Copying ${SHLIB_7z} to ${RELDIR}/${SHLIB_7z}
	if [ ! -e ${RELDIR} ]; then ${MKDIR} -p ${RELDIR} ; fi
	-${RM} ${RELDIR}/${SHLIB_7z}
	${CP} ${SHLIB} ${RELDIR}/${SHLIB_7z}
!XC opt
release :
	# Nothing to do

clean :
	${ENVRUN} MAKEFLAGS= nmake /f makefile ${MY_XIL_MISC} PROG=${SHLIB} clean
